Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Interface Concept

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Document, Encodable, Identifiable, IndexableDocument, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable

All Known Implementing Classes:
  AbstractConcept

public interface Concept
extends IndexableDocument

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `ABBREVIATION_SCOPE_NOTE`
`static java.lang.String` | `DOCTYPE_CONCEPT` Identifier of the subclass document type
`static java.lang.String` | `RELATION_BROADER_TERM`
`static java.lang.String` | `RELATION_BROADER_TERMS`
`static java.lang.String` | `RELATION_EQUIVALENT_TERM`
`static java.lang.String` | `RELATION_NARROWER_TERM`
`static java.lang.String` | `RELATION_PARTIAL_EQIUVALENCE`
`static java.lang.String` | `RELATION_RELATED_TERM`
`static java.lang.String` | `RELATION_USE`
`static java.lang.String` | `RELATION_USED_FOR`
`static java.lang.String` | `TERM`
`static java.lang.String` | `XMLLANG`

Fields inherited from interface fr.gouv.culture.sdx.document.Document
`CLASS_NAME_SUFFIX, DOCTYPE_BINARY, DOCTYPE_GROUP, DOCTYPE_HTML, DOCTYPE_USER, DOCTYPE_XML`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Method Summary
`void` | `addRelation(java.lang.String relationType, java.lang.String relationValue)` Adds a relation to the document
`java.lang.String[]` | `getRelations(int type)` Deprecated. use getRelations(String type)
`java.lang.String[]` | `getRelations(java.lang.String type)` Returns a list of concept ids related to this one.
`java.lang.String` | `getValue()` Returns the document value (name, description, ...).
`void` | `setValue(java.lang.String value)` Sets the term/value of the document

Methods inherited from interface fr.gouv.culture.sdx.document.IndexableDocument
`addAdditionalSystemFields, getAttachedDocuments, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getTransformedDocument, resetAttachedDocuments, setBoost, setMessageHandler, setTransformedDocument, setTransformedDocument, setXMLFieldList, setXMLTransformerHandler, startIndexing`

Methods inherited from interface fr.gouv.culture.sdx.document.Document
`getDocType, getLength, getMimeType, getPreferredFilename, getRepositoryForStorage, getURL, openStream, save, setContent, setContent, setContent, setContent, setId, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Field Detail

### DOCTYPE_CONCEPT

    public static final java.lang.String DOCTYPE_CONCEPT

  Identifier of the subclass document type

  See Also:
    Constant Field Values

### TERM

    public static final java.lang.String TERM

See Also:
  Constant Field Values

### ABBREVIATION_SCOPE_NOTE

    public static final java.lang.String ABBREVIATION_SCOPE_NOTE

See Also:
  Constant Field Values

### RELATION_NARROWER_TERM

    public static final java.lang.String RELATION_NARROWER_TERM

See Also:
  Constant Field Values

### RELATION_BROADER_TERM

    public static final java.lang.String RELATION_BROADER_TERM

See Also:
  Constant Field Values

### RELATION_BROADER_TERMS

    public static final java.lang.String RELATION_BROADER_TERMS

See Also:
  Constant Field Values

### RELATION_USED_FOR

    public static final java.lang.String RELATION_USED_FOR

See Also:
  Constant Field Values

### RELATION_EQUIVALENT_TERM

    public static final java.lang.String RELATION_EQUIVALENT_TERM

See Also:
  Constant Field Values

### RELATION_RELATED_TERM

    public static final java.lang.String RELATION_RELATED_TERM

See Also:
  Constant Field Values

### RELATION_USE

    public static final java.lang.String RELATION_USE

See Also:
  Constant Field Values

### RELATION_PARTIAL_EQIUVALENCE

    public static final java.lang.String RELATION_PARTIAL_EQIUVALENCE

See Also:
  Constant Field Values

### XMLLANG

    public static final java.lang.String XMLLANG

See Also:
  Constant Field Values

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets the term/value of the document

  Parameters:
    `value` - The value

### getValue

    public java.lang.String getValue()

  Returns the document value (name, description, ...).

### addRelation

    public void addRelation(java.lang.String relationType,
                            java.lang.String relationValue)

  Adds a relation to the document

  Parameters:
    `relationType` - The relation type name or other key
    `relationValue` - The relation value or term

### getRelations

    public java.lang.String[] getRelations(int type)

  Deprecated. use getRelations(String type)

  Returns a list of concept ids related to this one.

  Parameters:
    `type` - The relation type.

### getRelations

    public java.lang.String[] getRelations(java.lang.String type)

  Returns a list of concept ids related to this one.

  Parameters:
    `type` - The relation type String.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.